
EXPERT ROOT - Developing #334

ERTextDecay with large input file

06/06/2019 09:19 PM - Vitaliy Schetinin

Status: Закрыта Start date: 06/06/2019

Priority: Нормальный Due date:  

Assignee: Vitaliy Schetinin % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Необходимы следующие две доработки:

1) Формат файликов, которые приходят от теоретиков все время меняется и нужна возможность указывать в интерфейсе

в каких колонках находятся компоненты испульса продукта

2) Файлики приходят очень большие. Сейчас файл заранее грузится полностью в оперативную память. Что является не

самым адкеватным сопособом работы с большим файлом.

Нужно организовать загрузку бачами.

History

#1 - 06/07/2019 09:33 PM - Vitaliy Schetinin

В итоге задача получилась совсем не про то. Для EXP1811 у нас кастомный каскад реакции и распада. Поэтому возможность чтения

добавлял в ERDecayEXP1811. В связи с этим же, городить сложный интерфес указания где-что в файле не имело смысла.

Чтение файла организовано пособытийно. 

Есть особенность. Если события в файле заканчиваются, то события симуляции продолжают разыгрываться, но без распада.

Это связано с тем, что из класса распада у нас нет возможности корректно остановить весь ран симуляции. 

Надо учесть в дальнейшем... В данном случае событий в файле очень много и он вряд ли исчерпается.

#2 - 06/10/2019 08:40 AM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- % Done changed from 0 to 100
